diff --git a/testing/mozharness/mozharness/mozilla/mapper.py b/testing/mozharness/mozharness/mozilla/mapper.py
index c5a2d48959..3cc3e00797 100644
--- a/testing/mozharness/mozharness/mozilla/mapper.py
+++ b/testing/mozharness/mozharness/mozilla/mapper.py
@@ -6,7 +6,7 @@
 # ***** END LICENSE BLOCK *****
 """Support for hg/git mapper
 """
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import time
 try:
     import simplejson as json
@@ -47,7 +47,7 @@ class MapperMixin:
         n = 1
         while n <= attempts:
             try:
-                r = urllib2.urlopen(url, timeout=10)
+                r = six.moves.urllib.request.urlopen(url, timeout=10)
                 j = json.loads(r.readline())
                 if j['%s_rev' % vcs] is None:
                     if require_answer:
@@ -55,7 +55,7 @@ class MapperMixin:
                     else:
                         self.warning("Mapper returned a revision of None.  Accepting because require_answer is False.")
                 return j['%s_rev' % vcs]
-            except Exception, err:
+            except Exception as err:
                 self.warning('Error: %s' % str(err))
                 if n == attempts:
                     self.fatal('Giving up on %s %s revision for %s.' % (project_name, vcs, rev))
diff --git a/testing/mozharness/mozharness/mozilla/mar.py b/testing/mozharness/mozharness/mozilla/mar.py
index dbe3b96a0d..f8cc860788 100644
--- a/testing/mozharness/mozharness/mozilla/mar.py
+++ b/testing/mozharness/mozharness/mozilla/mar.py
@@ -8,7 +8,7 @@
 
 import os
 import sys
-import ConfigParser
+import six.moves.configparser
 
 # load modules from parent dir
 sys.path.insert(1, os.path.dirname(sys.path[0]))
@@ -21,7 +21,7 @@ CONFIG = {
 
 
 def query_ini_file(ini_file, section, option):
-    ini = ConfigParser.SafeConfigParser()
+    ini = six.moves.configparser.SafeConfigParser()
     ini.read(ini_file)
     return ini.get(section, option)
 
@@ -67,7 +67,7 @@ class MarMixin(object):
                 self.info("downloaded %s" % full_path)
             else:
                 self.info("found %s, skipping download" % full_path)
-            self.chmod(full_path, 0755)
+            self.chmod(full_path, 0o755)
 
     def _temp_mar_base_dir(self):
         """a base dir for unpacking mars"""
diff --git a/testing/mozharness/mozharness/mozilla/mock.py b/testing/mozharness/mozharness/mozilla/mock.py
index f8587c0d66..b9684fef8f 100644
--- a/testing/mozharness/mozharness/mozilla/mock.py
+++ b/testing/mozharness/mozharness/mozilla/mock.py
@@ -101,7 +101,7 @@ class MockMixin(object):
             cmd += ['--unpriv']
         cmd += ['--shell']
 
-        if not isinstance(command, basestring):
+        if not isinstance(command, str):
             command = subprocess.list2cmdline(command)
 
         # XXX - Hack - gets around AB_CD=%(locale)s type arguments
diff --git a/testing/mozharness/mozharness/mozilla/proxxy.py b/testing/mozharness/mozharness/mozilla/proxxy.py
index b9f14d5f2c..d0028a3f43 100644
--- a/testing/mozharness/mozharness/mozilla/proxxy.py
+++ b/testing/mozharness/mozharness/mozilla/proxxy.py
@@ -2,7 +2,7 @@
    proxxy instances (if available). The goal of Proxxy is to lower the traffic
    from the cloud to internal servers.
 """
-import urlparse
+import six.moves.urllib.parse
 import socket
 from mozharness.base.log import INFO, ERROR, LogMixin
 from mozharness.base.script import ScriptMixin
@@ -67,7 +67,7 @@ class Proxxy(ScriptMixin, LogMixin):
         proxxy_urls = config.get('urls', [])
         proxxy_instances = config.get('instances', [])
 
-        url_parts = urlparse.urlsplit(url)
+        url_parts = six.moves.urllib.parse.urlsplit(url)
         url_path = url_parts.path
         if url_parts.query:
             url_path += "?" + url_parts.query
diff --git a/testing/mozharness/mozharness/mozilla/release.py b/testing/mozharness/mozharness/mozilla/release.py
index 52a84cdba3..966db77a62 100755
--- a/testing/mozharness/mozharness/mozilla/release.py
+++ b/testing/mozharness/mozharness/mozilla/release.py
@@ -9,7 +9,27 @@
 """
 
 import os
-from distutils.version import LooseVersion, StrictVersion
+import re
+class LooseVersion:
+    """Simple version comparison (replacement for distutils.version.LooseVersion)."""
+    def __init__(self, vstring):
+        self.vstring = vstring
+        self.version = [int(x) if x.isdigit() else x for x in re.split(r'[.\-]', vstring)]
+    def __str__(self): return self.vstring
+    def __repr__(self): return "LooseVersion('%s')" % self.vstring
+    def _cmp(self, other):
+        if not isinstance(other, LooseVersion):
+            other = LooseVersion(str(other))
+        try:
+            if self.version == other.version: return 0
+            if self.version < other.version: return -1
+            return 1
+        except TypeError: return -1
+    def __lt__(self, o): return self._cmp(o) < 0
+    def __le__(self, o): return self._cmp(o) <= 0
+    def __eq__(self, o): return self._cmp(o) == 0
+    def __ge__(self, o): return self._cmp(o) >= 0
+    def __gt__(self, o): return self._cmp(o) > 0, StrictVersion
 
 from mozharness.base.config import parse_config_file
 
diff --git a/testing/mozharness/mozharness/mozilla/repo_manupulation.py b/testing/mozharness/mozharness/mozilla/repo_manupulation.py
index a2dfc46a2f..80c68ed182 100644
--- a/testing/mozharness/mozharness/mozilla/repo_manupulation.py
+++ b/testing/mozharness/mozharness/mozilla/repo_manupulation.py
@@ -114,7 +114,7 @@ class MercurialRepoManipulationMixin(object):
 
     def hg_tag(self, cwd, tags, user=None, message=None, revision=None,
                force=None, halt_on_failure=True):
-        if isinstance(tags, basestring):
+        if isinstance(tags, str):
             tags = [tags]
         cmd = self.query_exe('hg', return_type='list') + ['tag']
         if not message:
diff --git a/testing/mozharness/mozharness/mozilla/secrets.py b/testing/mozharness/mozharness/mozilla/secrets.py
index d40964bd67..164679e5fb 100644
--- a/testing/mozharness/mozharness/mozilla/secrets.py
+++ b/testing/mozharness/mozharness/mozilla/secrets.py
@@ -9,7 +9,7 @@
 
 import os
 import mozharness
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import json
 from mozharness.base.log import ERROR
 
@@ -22,7 +22,7 @@ class SecretsMixin(object):
         # within a taskcluster task.  Outside of that environment, do not
         # use this action.
         url = "http://taskcluster/secrets/v1/secret/" + secret_name
-        res = urllib2.urlopen(url)
+        res = six.moves.urllib.request.urlopen(url)
         if res.getcode() != 200:
             self.fatal("Error fetching from secrets API:" + res.read())
 
diff --git a/testing/mozharness/mozharness/mozilla/structuredlog.py b/testing/mozharness/mozharness/mozilla/structuredlog.py
index d87c5ebdc3..0d65ac8e79 100644
--- a/testing/mozharness/mozharness/mozilla/structuredlog.py
+++ b/testing/mozharness/mozharness/mozilla/structuredlog.py
@@ -111,7 +111,7 @@ class StructuredOutputParser(OutputParser):
             'suite_end': 'No suite end message was emitted by this harness.',
             'test_end': 'No checks run.',
         }
-        for action, diagnostic_message in required_actions.iteritems():
+        for action, diagnostic_message in required_actions.items():
             if action not in summary.action_counts:
                 self.log(diagnostic_message, ERROR)
                 self.update_levels(*error_pair)
diff --git a/testing/mozharness/mozharness/mozilla/taskcluster_helper.py b/testing/mozharness/mozharness/mozilla/taskcluster_helper.py
index 6921b8938d..c2b383fa15 100644
--- a/testing/mozharness/mozharness/mozilla/taskcluster_helper.py
+++ b/testing/mozharness/mozharness/mozilla/taskcluster_helper.py
@@ -3,7 +3,7 @@
 """
 import os
 from datetime import datetime, timedelta
-from urlparse import urljoin
+from urllib.parse import urljoin
 
 from mozharness.base.log import LogMixin
 
diff --git a/testing/mozharness/mozharness/mozilla/testing/device.py b/testing/mozharness/mozharness/mozilla/testing/device.py
index fea43ba20e..fe0b0a1dc4 100644
--- a/testing/mozharness/mozharness/mozilla/testing/device.py
+++ b/testing/mozharness/mozharness/mozilla/testing/device.py
@@ -438,7 +438,7 @@ class SUTDeviceHandler(BaseDeviceHandler):
             self.devicemanager = DeviceManagerSUT(c['device_ip'])
             # TODO configurable?
             self.devicemanager.debug = c.get('devicemanager_debug_level', 0)
-        except ImportError, e:
+        except ImportError as e:
             self.fatal("Can't import DeviceManagerSUT! %s\nDid you check out talos?" % str(e))
         return self.devicemanager
 
@@ -524,7 +524,7 @@ class SUTDeviceHandler(BaseDeviceHandler):
         try:
             dm.sendCMD(['settime %s' % s])
             return True
-        except self.DMError, e:
+        except self.DMError as e:
             self.add_device_flag(DEVICE_CANT_SET_TIME)
             self.fatal("Exception while setting device time: %s" % str(e))
 
@@ -564,7 +564,7 @@ class SUTDeviceHandler(BaseDeviceHandler):
                 self.info(repr(dm.getInfo('memory')))
                 self.info(repr(dm.getInfo('uptime')))
                 self.info(repr(dm.sendCMD(['exec su -c "logcat -d -v time *:W"'])))
-            except Exception, e:
+            except Exception as e:
                 self.info("Exception hit while trying to run logcat: %s" % str(e))
                 self.fatal("Remote Device Error: can't run logcat")
         except self.DMError:
@@ -676,7 +676,7 @@ device_config_options = [[
     {"action": "store",
      "type": "choice",
      "dest": "device_protocol",
-     "choices": DEVICE_PROTOCOL_DICT.keys(),
+     "choices": list(DEVICE_PROTOCOL_DICT.keys()),
      "help": "Specify the device communication protocol."
      }
 ], [
diff --git a/testing/mozharness/mozharness/mozilla/testing/firefox_media_tests.py b/testing/mozharness/mozharness/mozilla/testing/firefox_media_tests.py
index b1874fc138..a99dc00dc9 100644
--- a/testing/mozharness/mozharness/mozilla/testing/firefox_media_tests.py
+++ b/testing/mozharness/mozharness/mozilla/testing/firefox_media_tests.py
@@ -8,7 +8,7 @@
 import copy
 import os
 import re
-import urlparse
+import six.moves.urllib.parse
 
 from mozharness.base.log import ERROR, WARNING
 from mozharness.base.script import PreScriptAction
@@ -257,7 +257,7 @@ class FirefoxMediaTestsBase(TestingMixin, VCSToolsScript):
             dirs = self.query_abs_dirs()
             manifest_path = os.path.join(dirs['abs_work_dir'], 'releng.manifest')
             try:
-                self.download_file(urlparse.urljoin(url_base, tooltool_manifest),
+                self.download_file(six.moves.urllib.parse.urljoin(url_base, tooltool_manifest),
                                    manifest_path)
             except Exception as e:
                 self.fatal('Download of tooltool manifest file failed: %s' % e.message)
diff --git a/testing/mozharness/mozharness/mozilla/testing/mozpool.py b/testing/mozharness/mozharness/mozilla/testing/mozpool.py
index f9da6c1908..74061ed934 100644
--- a/testing/mozharness/mozharness/mozilla/testing/mozpool.py
+++ b/testing/mozharness/mozharness/mozilla/testing/mozpool.py
@@ -48,7 +48,7 @@ class MozpoolMixin(object):
                 self.MozpoolException = MozpoolException
                 self.MozpoolConflictException = MozpoolConflictException
                 self.mozpool_handler = MozpoolHandler(self.mozpool_api_url, log_obj=self)
-            except ImportError, e:
+            except ImportError as e:
                 self.fatal("Can't instantiate MozpoolHandler until mozpoolclient python "
                            "package is installed! (VirtualenvMixin?): \n%s" % str(e))
             return self.mozpool_handler
@@ -66,7 +66,7 @@ class MozpoolMixin(object):
                 break
             except self.MozpoolConflictException:
                 self.warning("Device unavailable. Retry#%i.." % retry)
-            except self.MozpoolException, e:
+            except self.MozpoolException as e:
                 self.buildbot_status(TBPL_RETRY)
                 self.fatal("We could not request the device: %s" % str(e))
 
@@ -87,7 +87,7 @@ class MozpoolMixin(object):
                 break
             except self.MozpoolConflictException:
                 self.warning("Device unavailable. Retry#%i.." % retry)
-            except self.MozpoolException, e:
+            except self.MozpoolException as e:
                 self.buildbot_status(TBPL_RETRY)
                 self.fatal("We could not request the device: %s" % str(e))
 
diff --git a/testing/mozharness/mozharness/mozilla/testing/talos.py b/testing/mozharness/mozharness/mozilla/testing/talos.py
index 73f384ce7a..2af816095c 100755
--- a/testing/mozharness/mozharness/mozilla/testing/talos.py
+++ b/testing/mozharness/mozharness/mozilla/testing/talos.py
@@ -258,7 +258,7 @@ class Talos(TestingMixin, MercurialScript, BlobUploadMixin):
         kw_options.update(kw)
         # talos expects tests to be in the format (e.g.) 'ts:tp5:tsvg'
         tests = kw_options.get('activeTests')
-        if tests and not isinstance(tests, basestring):
+        if tests and not isinstance(tests, str):
             tests = ':'.join(tests)  # Talos expects this format
             kw_options['activeTests'] = tests
         for key, value in kw_options.items():
diff --git a/testing/mozharness/mozharness/mozilla/testing/testbase.py b/testing/mozharness/mozharness/mozilla/testing/testbase.py
index 2ab2b7e43a..5fd4b75178 100755
--- a/testing/mozharness/mozharness/mozilla/testing/testbase.py
+++ b/testing/mozharness/mozharness/mozilla/testing/testbase.py
@@ -10,7 +10,7 @@ import os
 import platform
 import pprint
 import re
-import urllib2
+import six.moves.urllib.request, six.moves.urllib.error, six.moves.urllib.parse
 import json
 import socket
 
@@ -30,6 +30,7 @@ from mozharness.mozilla.testing.try_tools import TryToolsMixin, try_config_optio
 from mozharness.mozilla.tooltool import TooltoolMixin
 
 from mozharness.lib.python.authentication import get_credentials
+import six
 
 INSTALLER_SUFFIXES = ('.apk',  # Android
                       '.tar.bz2', '.tar.gz',  # Linux
@@ -258,7 +259,7 @@ class TestingMixin(VirtualenvMixin, BuildbotMixin, ResourceMonitoringMixin,
         if c.get("test_packages_url"):
             c["test_packages_url"] = _replace_url(c["test_packages_url"], c["replace_urls"])
 
-        for key, value in self.config.iteritems():
+        for key, value in self.config.items():
             if type(value) == str and value.startswith("http"):
                 self.config[key] = _replace_url(value, c["replace_urls"])
 
@@ -281,19 +282,19 @@ class TestingMixin(VirtualenvMixin, BuildbotMixin, ResourceMonitoringMixin,
 
             self.https_username, self.https_password = get_credentials()
             # This creates a password manager
-            passman = urllib2.HTTPPasswordMgrWithDefaultRealm()
+            passman = six.moves.urllib.request.HTTPPasswordMgrWithDefaultRealm()
             # Because we have put None at the start it will use this username/password combination from here on
             passman.add_password(None, url, self.https_username, self.https_password)
-            authhandler = urllib2.HTTPBasicAuthHandler(passman)
+            authhandler = six.moves.urllib.request.HTTPBasicAuthHandler(passman)
 
-            return urllib2.build_opener(authhandler).open(url, **kwargs)
+            return six.moves.urllib.request.build_opener(authhandler).open(url, **kwargs)
 
         # If we have the developer_run flag enabled then we will switch
         # URLs to the right place and enable http authentication
         if "developer_config.py" in self.config["config_files"]:
             return _urlopen_basic_auth(url, **kwargs)
         else:
-            return urllib2.urlopen(url, **kwargs)
+            return six.moves.urllib.request.urlopen(url, **kwargs)
 
     # read_buildbot_config is in BuildbotMixin.
 
@@ -310,7 +311,7 @@ class TestingMixin(VirtualenvMixin, BuildbotMixin, ResourceMonitoringMixin,
             if c.get("require_test_zip") and not self.test_url:
                 expected_length = [2, 3]
             if buildbot_prop_branch.startswith('gaia-try'):
-                expected_length = range(1, 1000)
+                expected_length = list(range(1, 1000))
             actual_length = len(files)
             if actual_length not in expected_length:
                 self.fatal("Unexpected number of files in buildbot config %s.\nExpected these number(s) of files: %s, but got: %d" %
@@ -331,7 +332,7 @@ class TestingMixin(VirtualenvMixin, BuildbotMixin, ResourceMonitoringMixin,
                     if not self.installer_url:
                         self.installer_url = str(f['name'])
                         self.info("Found installer url %s." % self.installer_url)
-        except IndexError, e:
+        except IndexError as e:
             self.error(str(e))
 
     def find_artifacts_from_taskcluster(self):
@@ -734,7 +735,7 @@ Did you run with --create-virtualenv? Is mozinstall in virtualenv_modules?""")
 
         if os.path.exists(abs_nodejs_path):
             if self.platform_name() not in ('win32', 'win64'):
-                self.chmod(abs_nodejs_path, 0755)
+                self.chmod(abs_nodejs_path, 0o755)
             self.nodejs_path = abs_nodejs_path
         else:
             self.warning("nodejs path was given but couldn't be found. Tried looking in '%s'" % abs_nodejs_path)
@@ -774,7 +775,7 @@ Did you run with --create-virtualenv? Is mozinstall in virtualenv_modules?""")
             abs_minidump_path = os.path.join(dirs['abs_work_dir'],
                                              minidump_stackwalk_path)
             if os.path.exists(abs_minidump_path):
-                self.chmod(abs_minidump_path, 0755)
+                self.chmod(abs_minidump_path, 0o755)
                 self.minidump_stackwalk_path = abs_minidump_path
             else:
                 self.warning("minidump stackwalk path was given but couldn't be found. "
diff --git a/testing/mozharness/mozharness/mozilla/testing/try_tools.py b/testing/mozharness/mozharness/mozilla/testing/try_tools.py
index 3708e71db6..85d44be731 100644
--- a/testing/mozharness/mozharness/mozilla/testing/try_tools.py
+++ b/testing/mozharness/mozharness/mozilla/testing/try_tools.py
@@ -188,7 +188,7 @@ class TryToolsMixin(TransferMixin):
                 return label_dict[val]
             return '--%s' % val.replace('_', '-')
 
-        for label, (opts, _) in self.known_try_arguments.iteritems():
+        for label, (opts, _) in self.known_try_arguments.items():
             if 'action' in opts and opts['action'] not in ('append', 'store',
                                                            'store_true', 'store_false'):
                 self.fatal('Try syntax does not support passing custom or store_const '
@@ -207,7 +207,7 @@ class TryToolsMixin(TransferMixin):
         # This is a pretty hacky way to echo arguments down to the harness.
         # Hopefully this can be improved once we have a configuration system
         # in tree for harnesses that relies less on a command line.
-        for arg, value in vars(args).iteritems():
+        for arg, value in vars(args.items()):
             if value:
                 label = label_from_val(arg)
                 _, flavors = self.known_try_arguments[label]
diff --git a/testing/mozharness/mozharness/mozilla/tooltool.py b/testing/mozharness/mozharness/mozilla/tooltool.py
index 0bd98e0a26..2e65b36b67 100644
--- a/testing/mozharness/mozharness/mozilla/tooltool.py
+++ b/testing/mozharness/mozharness/mozilla/tooltool.py
@@ -115,7 +115,7 @@ class TooltoolMixin(object):
         self.download_file(TOOLTOOL_PY_URL, file_path)
         if not os.path.exists(file_path):
             self.fatal("We can't get tooltool.py")
-        self.chmod(file_path, 0755)
+        self.chmod(file_path, 0o755)
         return file_path
 
     def create_tooltool_manifest(self, contents, path=None):
diff --git a/testing/mozharness/mozharness/mozilla/updates/balrog.py b/testing/mozharness/mozharness/mozilla/updates/balrog.py
index 26253283cf..fe0fc814df 100644
--- a/testing/mozharness/mozharness/mozilla/updates/balrog.py
+++ b/testing/mozharness/mozharness/mozilla/updates/balrog.py
@@ -20,13 +20,13 @@ class BalrogMixin(object):
         )
 
         if self.buildbot_config and "properties" in self.buildbot_config:
-            buildbot_properties = self.buildbot_config["properties"].items()
+            buildbot_properties = list(self.buildbot_config["properties"].items())
         else:
             buildbot_properties = []
 
         balrog_props = dict(properties=dict(chain(
             buildbot_properties,
-            self.buildbot_properties.items(),
+            list(self.buildbot_properties.items()),
         )))
         if self.config.get('balrog_platform'):
             balrog_props["properties"]["platform"] = self.config['balrog_platform']
diff --git a/testing/mozharness/mozharness/mozilla/vcstools.py b/testing/mozharness/mozharness/mozilla/vcstools.py
index b73a4767d8..1c11fdc842 100644
--- a/testing/mozharness/mozharness/mozilla/vcstools.py
+++ b/testing/mozharness/mozharness/mozilla/vcstools.py
@@ -34,7 +34,7 @@ class VCSToolsScript(VCSScript):
                         parent_dir=os.path.dirname(file_path),
                         create_parent_dir=True,
                     )
-                    self.chmod(file_path, 0755)
+                    self.chmod(file_path, 0o755)
         else:
             # We simply verify that everything is in order
             # or if the user forgot to specify developer mode
diff --git a/testing/mozharness/mozinfo/__init__.py b/testing/mozharness/mozinfo/__init__.py
index 904dfef71a..e45d71ff87 100644
--- a/testing/mozharness/mozinfo/__init__.py
+++ b/testing/mozharness/mozinfo/__init__.py
@@ -51,6 +51,6 @@ Module variables:
 
 """
 
-import mozinfo
-from mozinfo import *
+from . import mozinfo
+from .mozinfo import *
 __all__ = mozinfo.__all__
diff --git a/testing/mozharness/mozinfo/mozinfo.py b/testing/mozharness/mozinfo/mozinfo.py
index 718e1a9d7a..7aa897a401 100755
--- a/testing/mozharness/mozinfo/mozinfo.py
+++ b/testing/mozharness/mozinfo/mozinfo.py
@@ -8,6 +8,7 @@
 # linux) to the information; I certainly wouldn't want anyone parsing this
 # information and having behaviour depend on it
 
+from __future__ import print_function
 import json
 import os
 import platform
@@ -111,7 +112,7 @@ def update(new_info):
                      to a json file containing the new info.
     """
 
-    if isinstance(new_info, basestring):
+    if isinstance(new_info, str):
         f = mozfile.load(new_info)
         new_info = json.loads(f.read())
         f.close()
@@ -161,7 +162,7 @@ def find_and_update_from_json(*dirs):
 update({})
 
 # exports
-__all__ = info.keys()
+__all__ = list(info.keys())
 __all__ += ['is' + os_name.title() for os_name in choices['os']]
 __all__ += [
     'info',
@@ -187,7 +188,7 @@ def main(args=None):
     if args:
         for arg in args:
             if _os.path.exists(arg):
-                string = file(arg).read()
+                string = open(arg).read()
             else:
                 string = arg
             update(json.loads(string))
@@ -196,14 +197,14 @@ def main(args=None):
     flag = False
     for key, value in options.__dict__.items():
         if value is True:
-            print '%s choices: %s' % (key, ' '.join([str(choice)
-                                                     for choice in choices[key]]))
+            print('%s choices: %s' % (key, ' '.join([str(choice)
+                                                     for choice in choices[key]])))
             flag = True
     if flag: return
 
     # otherwise, print out all info
     for key, value in info.items():
-        print '%s: %s' % (key, value)
+        print('%s: %s' % (key, value))
 
 if __name__ == '__main__':
     main()
diff --git a/testing/mozharness/mozprocess/__init__.py b/testing/mozharness/mozprocess/__init__.py
index 6f4ae49450..02935d078d 100644
--- a/testing/mozharness/mozprocess/__init__.py
+++ b/testing/mozharness/mozprocess/__init__.py
@@ -2,4 +2,4 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from processhandler import *
+from .processhandler import *
diff --git a/testing/mozharness/mozprocess/pid.py b/testing/mozharness/mozprocess/pid.py
index d1f0d93368..d9a943d560 100755
--- a/testing/mozharness/mozprocess/pid.py
+++ b/testing/mozharness/mozprocess/pid.py
@@ -4,6 +4,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os
 import mozinfo
 import shlex
@@ -75,7 +76,7 @@ def get_pids(name):
 
     if mozinfo.isWin:
         # use the windows-specific implementation
-        import wpk
+        from . import wpk
         return wpk.get_pids(name)
     else:
         return [pid for pid,_ in running_processes(name)]
@@ -85,4 +86,4 @@ if __name__ == '__main__':
     for i in sys.argv[1:]:
         pids.update(get_pids(i))
     for i in sorted(pids):
-        print i
+        print(i)
